<?php
namespace Claromentis\Core\DAL\MSSQL\NativeClient;

$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("_d64c6254864cf96656eabcea4" . "c48fe51" => base64_decode("c3Fsc3J2X2h" . "hc19yb3dz"), "_020048b1b65987544bdb5f9" . "afa692a0f" => base64_decode("TnVtUm93cyBpcyBub3Qgc3VwcG9" . "ydGVk"), "_78aadcc2e8dfecef37e1fe" . "6d5ffbcdbb" => base64_decode("c3Fsc3J2X2ZldG" . "NoX2FycmF5"), "_9a1d01ea" . "56101db47" . "5f6e198f0" . "6a4f9d" => base64_decode("c3Fsc3J2X2ZyZWVfc3" . "RtdA=="), "_a591754a8ddcd" . "bda9c80f1db4d9" . "11e14" => base64_decode("aXNfb" . "nVsbA" . "=="));
use Claromentis\Core\DAL;
use UnsupportedOperationException;
class ResultUnbuffered implements DAL\ResultInterface
{
    protected $stmt;
    protected $has_data = null;
    
    
    public function __construct($_a606a2dcd236a549db0574a9c1675927)
    {
        $this->stmt = $_a606a2dcd236a549db0574a9c1675927;
        if ($_a606a2dcd236a549db0574a9c1675927 === true) {
            return;
        }
    }
    public function fetchRow()
    {
        $data = $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_78aadcc2e8dfecef37e1" . "fe6d5ffbcdbb"]($this->stmt, SQLSRV_FETCH_NUMERIC);
        
        
        return $data;
    }
    public function fetchArray()
    {
        $data = $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_78aadcc2" . "e8dfecef3" . "7e1fe6d5f" . "fbcdbb"]($this->stmt, SQLSRV_FETCH_ASSOC);
        
        
        return $data;
    }
    public function numRows()
    {
        throw new UnsupportedOperationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_020048b1b659" . "87544bdb5f9af" . "a692a0f"]);
        
        
        
    }
    public function hasData()
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_a591754a8ddcdbda9c80f1" . "db4d911e14"]($this->has_data)) {
            $this->has_data = $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_d64c6254864cf96656eabce" . "a4c48fe51"]($this->stmt);
        }
        return $this->has_data;
    }
    public function free()
    {
        if ($this->stmt) {
            $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_9a1d01ea56101db475f6e198f" . "06a4f9d"]($this->stmt);
            $this->stmt = null;
        }
        return true;
    }
    
    
    
    
    
    
    
    public function fetchAllValues()
    {
        return DAL\DbUtil::fetchAllValues($this);
    }
    public function __destruct()
    {
        $this->free();
    }
}